Bug 1743959 (CVE-2019-10098) - CVE-2019-10098 httpd: mod_rewrite potential open redirect
Summary: CVE-2019-10098 httpd: mod_rewrite potential open redirect
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10098
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1743961 1747283 1747284 1747285
Blocks: 1744000
TreeView+ depends on / blocked
 
Reported: 2019-08-21 05:10 UTC by Dhananjay Arunesh
Modified: 2020-12-15 15:51 UTC (History)
29 users (show)

Fixed In Version: httpd 2.4.41
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was discovered in Apache httpd, in mod_rewrite. Certain self-referential mod_rewrite rules could be fooled by encoded newlines, causing them to redirect to an unexpected location. An attacker could abuse this flaw in a phishing attack or as part of a client-side attack on browsers.
Clone Of:
Environment:
Last Closed: 2020-06-18 23:20:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1336 None None None 2020-04-06 19:10:10 UTC
Red Hat Product Errata RHSA-2020:1337 None None None 2020-04-06 19:26:53 UTC
Red Hat Product Errata RHSA-2020:2263 None None None 2020-05-26 09:01:51 UTC
Red Hat Product Errata RHSA-2020:3958 None None None 2020-09-29 20:07:25 UTC
Red Hat Product Errata RHSA-2020:4751 None None None 2020-11-04 03:34:59 UTC

Description Dhananjay Arunesh 2019-08-21 05:10:13 UTC
A vulnerability was found in httpd where redirects configured with mod_rewrite that were intended to be self-referential might be fooled by encoded newlines and redirect instead to an an unexpected URL within the request URL.

Comment 1 Dhananjay Arunesh 2019-08-21 05:10:35 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1743961]

Comment 2 Dhananjay Arunesh 2019-08-21 06:18:32 UTC
External References:

https://httpd.apache.org/security/vulnerabilities_24.html

Comment 4 Joshua Padman 2019-08-28 12:16:32 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Web Server 3 
 * Red Hat JBoss Enterprise Web Server 2

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 7 Doran Moppert 2019-09-04 03:31:26 UTC
Mitigation:

This flaw requires the use of certain Rewrite configuration directives.  The following command can be used to search for possible vulnerable configurations:

    grep -R '^\s*Rewrite' /etc/httpd/

See https://httpd.apache.org/docs/2.4/mod/mod_rewrite.html

Comment 10 Thomas Jarosch 2019-11-26 15:25:08 UTC
Good write-up how this vulnerability works:
https://0day.work/open-redirects-in-improperly-configured-mod_rewrite-rules-poc-for-cve-2019-10098/

Comment 18 errata-xmlrpc 2020-04-06 19:10:08 UTC
This issue has been addressed in the following products:

  JBoss Core Services Apache HTTP Server 2.4.37 SP2

Via RHSA-2020:1336 https://access.redhat.com/errata/RHSA-2020:1336

Comment 19 errata-xmlrpc 2020-04-06 19:26:51 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2020:1337 https://access.redhat.com/errata/RHSA-2020:1337

Comment 20 Product Security DevOps Team 2020-04-06 22:31:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10098

Comment 21 errata-xmlrpc 2020-05-26 09:01:43 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2020:2263 https://access.redhat.com/errata/RHSA-2020:2263

Comment 23 Product Security DevOps Team 2020-06-18 23:20:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10098

Comment 24 errata-xmlrpc 2020-09-29 20:07:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3958 https://access.redhat.com/errata/RHSA-2020:3958

Comment 25 errata-xmlrpc 2020-11-04 03:34:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4751 https://access.redhat.com/errata/RHSA-2020:4751


Note You need to log in before you can comment on or make changes to this bug.